diff --git a/src/db/sysdb_ops.c b/src/db/sysdb_ops.c
index ca23fad..a6abdce 100644
--- a/src/db/sysdb_ops.c
+++ b/src/db/sysdb_ops.c
@@ -3054,8 +3054,8 @@ int sysdb_cache_auth(struct sysdb_ctx *sysdb,
         ret = sysdb_attrs_add_time_t(update_attrs,
                                      SYSDB_LAST_LOGIN, time(NULL));
         if (ret != EOK) {
-            DEBUG(3, ("sysdb_attrs_add_time_t failed, "
-                      "but authentication is successful.\n"));
+            DEBUG(3, "sysdb_attrs_add_time_t failed, "
+                      "but authentication is successful.\n");
             ret = EOK;
             goto done;
         }
@@ -3063,22 +3063,22 @@ int sysdb_cache_auth(struct sysdb_ctx *sysdb,
         ret = sysdb_attrs_add_uint32(update_attrs,
                                      SYSDB_FAILED_LOGIN_ATTEMPTS, 0U);
         if (ret != EOK) {
-            DEBUG(3, ("sysdb_attrs_add_uint32 failed, "
-                      "but authentication is successful.\n"));
+            DEBUG(3, "sysdb_attrs_add_uint32 failed, "
+                      "but authentication is successful.\n");
             ret = EOK;
             goto done;
         }
 
 
     } else {
-        DEBUG(4, ("Authentication failed.\n"));
+        DEBUG(4, "Authentication failed.\n");
         authentication_successful = false;
 
         ret = sysdb_attrs_add_time_t(update_attrs,
                                      SYSDB_LAST_FAILED_LOGIN,
                                      time(NULL));
         if (ret != EOK) {
-            DEBUG(3, ("sysdb_attrs_add_time_t failed\n."));
+            DEBUG(3, "sysdb_attrs_add_time_t failed\n.");
             goto done;
         }
 
@@ -3086,7 +3086,7 @@ int sysdb_cache_auth(struct sysdb_ctx *sysdb,
                                      SYSDB_FAILED_LOGIN_ATTEMPTS,
                                      ++failed_login_attempts);
         if (ret != EOK) {
-            DEBUG(3, ("sysdb_attrs_add_uint32 failed.\n"));
+            DEBUG(3, "sysdb_attrs_add_uint32 failed.\n");
             goto done;
         }
     }
@@ -3094,7 +3094,7 @@ int sysdb_cache_auth(struct sysdb_ctx *sysdb,
     ret = sysdb_set_user_attr(sysdb, domain,
                               name, update_attrs, LDB_FLAG_MOD_REPLACE);
     if (ret) {
-        DEBUG(1, ("Failed to update Login attempt information!\n"));
+        DEBUG(1, "Failed to update Login attempt information!\n");
     }
 
 done:
@@ -3110,7 +3110,7 @@ done:
         ret = ldb_transaction_commit(sysdb->ldb);
         ret = sysdb_error_to_errno(ret);
         if (ret) {
-            DEBUG(2, ("Failed to commit transaction!\n"));
+            DEBUG(2, "Failed to commit transaction!\n");
         }
     }
     if (authentication_successful) {
@@ -3144,7 +3144,7 @@ static errno_t sysdb_update_members_ex(struct sysdb_ctx *sysdb,
 
     ret = sysdb_transaction_start(sysdb);
     if (ret != EOK) {
-        DEBUG(0, ("Failed to start update transaction\n"));
+        DEBUG(0, "Failed to start update transaction\n");
         goto done;
     }
 
@@ -3156,8 +3156,8 @@ static errno_t sysdb_update_members_ex(struct sysdb_ctx *sysdb,
             ret = sysdb_add_group_member(sysdb, domain, add_groups[i],
                                          member, type, is_dn);
             if (ret != EOK) {
-                DEBUG(1, ("Could not add member [%s] to group [%s]. "
-                          "Skipping.\n", member, add_groups[i]));
+                DEBUG(1, "Could not add member [%s] to group [%s]. "
+                          "Skipping.\n", member, add_groups[i]);
                 /* Continue on, we should try to finish the rest */
             }
         }
@@ -3169,8 +3169,8 @@ static errno_t sysdb_update_members_ex(struct sysdb_ctx *sysdb,
             ret = sysdb_remove_group_member(sysdb, domain, del_groups[i],
                                             member, type, is_dn);
             if (ret != EOK) {
-                DEBUG(1, ("Could not remove member [%s] from group [%s]. "
-                          "Skipping\n", member, del_groups[i]));
+                DEBUG(1, "Could not remove member [%s] from group [%s]. "
+                          "Skipping\n", member, del_groups[i]);
                 /* Continue on, we should try to finish the rest */
             }
         }
@@ -3178,7 +3178,7 @@ static errno_t sysdb_update_members_ex(struct sysdb_ctx *sysdb,
 
     ret = sysdb_transaction_commit(sysdb);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to commit transaction\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed to commit transaction\n");
         goto done;
     }
 
@@ -3188,7 +3188,7 @@ done:
     if (in_transaction) {
         sret = sysdb_transaction_cancel(sysdb);
         if (sret != EOK) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("Could not cancel transaction\n"));
+            DEBUG(SSSDBG_CRIT_FAILURE, "Could not cancel transaction\n");
         }
     }
     talloc_free(tmp_ctx);
@@ -3257,7 +3257,7 @@ errno_t sysdb_remove_attrs(struct sysdb_ctx *sysdb,
 
     ret = sysdb_transaction_start(sysdb);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to start transaction\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed to start transaction\n");
         goto done;
     }
 
@@ -3268,8 +3268,8 @@ errno_t sysdb_remove_attrs(struct sysdb_ctx *sysdb,
         if (strcasecmp(remove_attrs[i], SYSDB_MEMBEROF) == 0) {
             continue;
         }
-        DEBUG(8, ("Removing attribute [%s] from [%s]\n",
-                  remove_attrs[i], name));
+        DEBUG(8, "Removing attribute [%s] from [%s]\n",
+                  remove_attrs[i], name);
         lret = ldb_msg_add_empty(msg, remove_attrs[i],
                                  LDB_FLAG_MOD_DELETE, NULL);
         if (lret != LDB_SUCCESS) {
@@ -3294,7 +3294,7 @@ errno_t sysdb_remove_attrs(struct sysdb_ctx *sysdb,
 
     ret = sysdb_transaction_commit(sysdb);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to commit transaction\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed to commit transaction\n");
         goto done;
     }
 
@@ -3305,7 +3305,7 @@ done:
     if (in_transaction) {
         sret = sysdb_transaction_cancel(sysdb);
         if (sret != EOK) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("Could not cancel transaction\n"));
+            DEBUG(SSSDBG_CRIT_FAILURE, "Could not cancel transaction\n");
         }
     }
     talloc_free(msg);
@@ -3333,7 +3333,7 @@ errno_t sysdb_search_object_by_sid(TALLOC_CTX *mem_ctx,
 
     basedn = ldb_dn_new_fmt(tmp_ctx, sysdb->ldb, SYSDB_DOM_BASE, domain->name);
     if (basedn == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("ldb_dn_new_fmt failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "ldb_dn_new_fmt failed.\n");
         ret = ENOMEM;
         goto done;
     }
@@ -3342,13 +3342,13 @@ errno_t sysdb_search_object_by_sid(TALLOC_CTX *mem_ctx,
                      basedn, LDB_SCOPE_SUBTREE, attrs?attrs:def_attrs,
                      SYSDB_SID_FILTER, sid_str);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("ldb_search failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "ldb_search failed.\n");
         goto done;
     }
 
     if (res->count > 1) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Search for SID [%s] returned more than " \
-                                    "one object.\n", sid_str));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Search for SID [%s] returned more than " \
+                                    "one object.\n", sid_str);
         ret = EINVAL;
         goto done;
     }
@@ -3357,9 +3357,9 @@ errno_t sysdb_search_object_by_sid(TALLOC_CTX *mem_ctx,
 
 done:
     if (ret == ENOENT) {
-        DEBUG(SSSDBG_TRACE_FUNC, ("No such entry.\n"));
+        DEBUG(SSSDBG_TRACE_FUNC, "No such entry.\n");
     } else if (ret) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Error: %d (%s)\n", ret, strerror(ret)));
+        DEBUG(SSSDBG_OP_FAILURE, "Error: %d (%s)\n", ret, strerror(ret));
     }
 
     talloc_zfree(tmp_ctx);
diff --git a/src/db/sysdb_ranges.c b/src/db/sysdb_ranges.c
index 5b444ea..19597ec 100644
--- a/src/db/sysdb_ranges.c
+++ b/src/db/sysdb_ranges.c
@@ -92,8 +92,8 @@ errno_t sysdb_get_ranges(TALLOC_CTX *mem_ctx, struct sysdb_ctx *sysdb,
         }
         tmp_str = ldb_msg_find_attr_as_string(res->msgs[c], SYSDB_NAME, NULL);
         if (tmp_str == NULL) {
-            DEBUG(SSSDBG_MINOR_FAILURE, ("The object [%s] doesn't have a name.\n",
-                                       ldb_dn_get_linearized(res->msgs[c]->dn)));
+            DEBUG(SSSDBG_MINOR_FAILURE, "The object [%s] doesn't have a name.\n",
+                                       ldb_dn_get_linearized(res->msgs[c]->dn));
             ret = EINVAL;
             goto done;
         }
@@ -117,28 +117,28 @@ errno_t sysdb_get_ranges(TALLOC_CTX *mem_ctx, struct sysdb_ctx *sysdb,
         ret = find_attr_as_uint32_t(res->msgs[c], SYSDB_BASE_ID,
                                     &list[c]->base_id);
         if (ret != EOK && ret != ENOENT) {
-            DEBUG(SSSDBG_MINOR_FAILURE, ("find_attr_as_uint32_t failed.\n"));
+            DEBUG(SSSDBG_MINOR_FAILURE, "find_attr_as_uint32_t failed.\n");
             goto done;
         }
 
         ret = find_attr_as_uint32_t(res->msgs[c], SYSDB_ID_RANGE_SIZE,
                                     &list[c]->id_range_size);
         if (ret != EOK && ret != ENOENT) {
-            DEBUG(SSSDBG_MINOR_FAILURE, ("find_attr_as_uint32_t failed.\n"));
+            DEBUG(SSSDBG_MINOR_FAILURE, "find_attr_as_uint32_t failed.\n");
             goto done;
         }
 
         ret = find_attr_as_uint32_t(res->msgs[c], SYSDB_BASE_RID,
                                     &list[c]->base_rid);
         if (ret != EOK && ret != ENOENT) {
-            DEBUG(SSSDBG_MINOR_FAILURE, ("find_attr_as_uint32_t failed.\n"));
+            DEBUG(SSSDBG_MINOR_FAILURE, "find_attr_as_uint32_t failed.\n");
             goto done;
         }
 
         ret = find_attr_as_uint32_t(res->msgs[c], SYSDB_SECONDARY_BASE_RID,
                                     &list[c]->secondary_base_rid);
         if (ret != EOK && ret != ENOENT) {
-            DEBUG(SSSDBG_MINOR_FAILURE, ("find_attr_as_uint32_t failed.\n"));
+            DEBUG(SSSDBG_MINOR_FAILURE, "find_attr_as_uint32_t failed.\n");
             goto done;
         }
 
@@ -174,9 +174,9 @@ errno_t sysdb_range_create(struct sysdb_ctx *sysdb, struct range_info *range)
     if ((range->trusted_dom_sid == NULL && range->secondary_base_rid == 0) ||
         (range->trusted_dom_sid != NULL && range->secondary_base_rid != 0)) {
 
-        DEBUG(SSSDBG_OP_FAILURE, ("Invalid range, skipping. Expected that "
+        DEBUG(SSSDBG_OP_FAILURE, "Invalid range, skipping. Expected that "
                     "either the secondary base RID or the SID of the trusted "
-                    "domain is set, but not both or none of them.\n"));
+                    "domain is set, but not both or none of them.\n");
         return EOK;
     }
 
@@ -251,7 +251,7 @@ errno_t sysdb_range_create(struct sysdb_ctx *sysdb, struct range_info *range)
 
 done:
     if (ret) {
-        DEBUG(6, ("Error: %d (%s)\n", ret, strerror(ret)));
+        DEBUG(6, "Error: %d (%s)\n", ret, strerror(ret));
     }
     talloc_zfree(tmp_ctx);
     return ret;
@@ -281,20 +281,20 @@ errno_t sysdb_update_ranges(struct sysdb_ctx *sysdb,
     ret = sysdb_get_ranges(tmp_ctx, sysdb, &cur_range_count,
                                &cur_ranges);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("sysdb_get_ranges failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "sysdb_get_ranges failed.\n");
         goto done;
     }
 
     keep_range = talloc_zero_array(tmp_ctx, bool, cur_range_count);
     if (keep_range == NULL) {
         ret = ENOMEM;
-        DEBUG(SSSDBG_OP_FAILURE, ("talloc_zero_array failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "talloc_zero_array failed.\n");
         goto done;
     }
 
     ret = sysdb_transaction_start(sysdb);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("sysdb_transaction_start failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "sysdb_transaction_start failed.\n");
         goto done;
     }
     in_transaction = true;
@@ -313,10 +313,10 @@ errno_t sysdb_update_ranges(struct sysdb_ctx *sysdb,
         }
 
         if (d == cur_range_count) {
-            DEBUG(SSSDBG_TRACE_FUNC, ("Adding range [%s].\n", ranges[c]->name));
+            DEBUG(SSSDBG_TRACE_FUNC, "Adding range [%s].\n", ranges[c]->name);
             ret = sysdb_range_create(sysdb, ranges[c]);
             if (ret != EOK) {
-                DEBUG(SSSDBG_OP_FAILURE, ("sysdb_range_create failed.\n"));
+                DEBUG(SSSDBG_OP_FAILURE, "sysdb_range_create failed.\n");
                 goto done;
             }
         }
@@ -328,8 +328,8 @@ errno_t sysdb_update_ranges(struct sysdb_ctx *sysdb,
      */
     for (d = 0; d < cur_range_count; d++) {
         if (!keep_range[d]) {
-            DEBUG(SSSDBG_TRACE_FUNC, ("Removing range [%s].\n",
-                                      cur_ranges[d]->name));
+            DEBUG(SSSDBG_TRACE_FUNC, "Removing range [%s].\n",
+                                      cur_ranges[d]->name);
             dn = ldb_dn_new_fmt(tmp_ctx, sysdb->ldb,
                                 SYSDB_TMPL_RANGE, cur_ranges[d]->name);
             if (dn == NULL) {
@@ -339,7 +339,7 @@ errno_t sysdb_update_ranges(struct sysdb_ctx *sysdb,
 
             ret = sysdb_delete_entry(sysdb, dn, true);
             if (ret != EOK) {
-                DEBUG(SSSDBG_OP_FAILURE, ("sysdb_delete_entry failed.\n"));
+                DEBUG(SSSDBG_OP_FAILURE, "sysdb_delete_entry failed.\n");
                 goto done;
             }
         }
@@ -347,7 +347,7 @@ errno_t sysdb_update_ranges(struct sysdb_ctx *sysdb,
 
     ret = sysdb_transaction_commit(sysdb);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Could not commit transaction\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Could not commit transaction\n");
         goto done;
     }
     in_transaction = false;
@@ -356,7 +356,7 @@ done:
     if (in_transaction) {
         sret = sysdb_transaction_cancel(sysdb);
         if (sret != EOK) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("Could not cancel transaction\n"));
+            DEBUG(SSSDBG_CRIT_FAILURE, "Could not cancel transaction\n");
         }
     }
     talloc_free(tmp_ctx);
diff --git a/src/db/sysdb_search.c b/src/db/sysdb_search.c
index 8dfaf1f..66dcc84 100644
--- a/src/db/sysdb_search.c
+++ b/src/db/sysdb_search.c
@@ -392,8 +392,8 @@ int sysdb_initgroups(TALLOC_CTX *mem_ctx,
 
     ret = sysdb_getpwnam(tmp_ctx, sysdb, domain, name, &res);
     if (ret != EOK) {
-        DEBUG(1, ("sysdb_getpwnam failed: [%d][%s]\n",
-                  ret, strerror(ret)));
+        DEBUG(1, "sysdb_getpwnam failed: [%d][%s]\n",
+                  ret, strerror(ret));
         goto done;
     }
 
@@ -405,7 +405,7 @@ int sysdb_initgroups(TALLOC_CTX *mem_ctx,
 
     } else if (res->count != 1) {
         ret = EIO;
-        DEBUG(1, ("sysdb_getpwnam returned count: [%d]\n", res->count));
+        DEBUG(1, "sysdb_getpwnam returned count: [%d]\n", res->count);
         goto done;
     }
 
@@ -902,7 +902,7 @@ errno_t sysdb_get_direct_parents(TALLOC_CTX *mem_ctx,
     } else if (mtype == SYSDB_MEMBER_GROUP) {
         dn = sysdb_group_strdn(tmp_ctx, dom->name, name);
     } else {
-        DEBUG(1, ("Unknown member type\n"));
+        DEBUG(1, "Unknown member type\n");
         ret = EINVAL;
         goto done;
     }
@@ -932,7 +932,7 @@ errno_t sysdb_get_direct_parents(TALLOC_CTX *mem_ctx,
         goto done;
     }
 
-    DEBUG(8, ("searching sysdb with filter [%s]\n", member_filter));
+    DEBUG(8, "searching sysdb with filter [%s]\n", member_filter);
 
     ret = sysdb_search_entry(tmp_ctx, sysdb, basedn,
                              LDB_SCOPE_SUBTREE, member_filter, group_attrs,
@@ -940,8 +940,8 @@ errno_t sysdb_get_direct_parents(TALLOC_CTX *mem_ctx,
     if (ret == ENOENT) {
         direct_sysdb_count = 0;
     } else if (ret != EOK && ret != ENOENT) {
-        DEBUG(2, ("sysdb_search_entry failed: [%d]: %s\n",
-                  ret, strerror(ret)));
+        DEBUG(2, "sysdb_search_entry failed: [%d]: %s\n",
+                  ret, strerror(ret));
         goto done;
     }
 
@@ -964,7 +964,7 @@ errno_t sysdb_get_direct_parents(TALLOC_CTX *mem_ctx,
 
         direct_parents[pi] = talloc_strdup(direct_parents, tmp_str);
         if (!direct_parents[pi]) {
-            DEBUG(1, ("A group with no name?\n"));
+            DEBUG(1, "A group with no name?\n");
             ret = EIO;
             goto done;
         }
@@ -972,8 +972,8 @@ errno_t sysdb_get_direct_parents(TALLOC_CTX *mem_ctx,
     }
     direct_parents[pi] = NULL;
 
-    DEBUG(SSSDBG_TRACE_LIBS, ("%s is a member of %zu sysdb groups\n",
-              name, direct_sysdb_count));
+    DEBUG(SSSDBG_TRACE_LIBS, "%s is a member of %zu sysdb groups\n",
+              name, direct_sysdb_count);
     *_direct_parents = talloc_steal(mem_ctx, direct_parents);
     ret = EOK;
 done:
diff --git a/src/db/sysdb_selinux.c b/src/db/sysdb_selinux.c
index 80cfe53..f9cbf4e 100644
--- a/src/db/sysdb_selinux.c
+++ b/src/db/sysdb_selinux.c
@@ -49,8 +49,8 @@ sysdb_add_selinux_entity(struct sysdb_ctx *sysdb,
 
     ret = sysdb_attrs_add_string(attrs, SYSDB_OBJECTCLASS, objectclass);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Could not set map object class [%d]: %s\n",
-              ret, strerror(ret)));
+        DEBUG(SSSDBG_OP_FAILURE, "Could not set map object class [%d]: %s\n",
+              ret, strerror(ret));
         return ret;
     }
 
@@ -70,7 +70,7 @@ sysdb_add_selinux_entity(struct sysdb_ctx *sysdb,
 
 done:
     if (ret) {
-        DEBUG(SSSDBG_TRACE_LIBS, ("Error: %d (%s)\n", ret, strerror(ret)));
+        DEBUG(SSSDBG_TRACE_LIBS, "Error: %d (%s)\n", ret, strerror(ret));
     }
     talloc_zfree(tmp_ctx);
     return ret;
@@ -120,7 +120,7 @@ static errno_t sysdb_store_selinux_entity(struct sysdb_ctx *sysdb,
     }
 
     if (type != SELINUX_CONFIG && type != SELINUX_USER_MAP) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Bad SELinux entity type: [%d]\n", type));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Bad SELinux entity type: [%d]\n", type);
         ret = EINVAL;
         goto done;
     }
@@ -132,7 +132,7 @@ static errno_t sysdb_store_selinux_entity(struct sysdb_ctx *sysdb,
 
     ret = sysdb_transaction_start(sysdb);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to start transaction\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed to start transaction\n");
         goto done;
     }
 
@@ -154,7 +154,7 @@ static errno_t sysdb_store_selinux_entity(struct sysdb_ctx *sysdb,
 
     ret = sysdb_transaction_commit(sysdb);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to commit transaction\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed to commit transaction\n");
         goto done;
     }
     in_transaction = false;
@@ -163,12 +163,12 @@ done:
     if (in_transaction) {
         sret = sysdb_transaction_cancel(sysdb);
         if (sret != EOK) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("Could not cancel transaction\n"));
+            DEBUG(SSSDBG_CRIT_FAILURE, "Could not cancel transaction\n");
         }
     }
 
     if (ret) {
-        DEBUG(SSSDBG_MINOR_FAILURE, ("Error: %d (%s)\n", ret, strerror(ret)));
+        DEBUG(SSSDBG_MINOR_FAILURE, "Error: %d (%s)\n", ret, strerror(ret));
     }
     talloc_zfree(tmp_ctx);
     return ret;
@@ -195,7 +195,7 @@ errno_t sysdb_store_selinux_config(struct sysdb_ctx *sysdb,
     }
 
     if (!order) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("The SELinux order is missing\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "The SELinux order is missing\n");
         return EINVAL;
     }
 
@@ -232,7 +232,7 @@ errno_t sysdb_delete_usermaps(struct sysdb_ctx *sysdb,
     ret = sysdb_delete_recursive(sysdb, dn, true);
     talloc_free(dn);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("sysdb_delete_recursive failed.\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "sysdb_delete_recursive failed.\n");
         return ret;
     }
 
@@ -288,10 +288,10 @@ errno_t sysdb_search_selinux_usermap_by_mapname(TALLOC_CTX *mem_ctx,
 
 done:
     if (ret == ENOENT) {
-        DEBUG(SSSDBG_TRACE_FUNC, ("No such entry\n"));
+        DEBUG(SSSDBG_TRACE_FUNC, "No such entry\n");
     }
     else if (ret) {
-        DEBUG(SSSDBG_TRACE_FUNC, ("Error: %d (%s)\n", ret, strerror(ret)));
+        DEBUG(SSSDBG_TRACE_FUNC, "Error: %d (%s)\n", ret, strerror(ret));
     }
     talloc_zfree(tmp_ctx);
     return ret;
@@ -373,9 +373,9 @@ errno_t sysdb_search_selinux_config(TALLOC_CTX *mem_ctx,
 
 done:
     if (ret == ENOENT) {
-        DEBUG(SSSDBG_TRACE_FUNC, ("No SELinux root entry found\n"));
+        DEBUG(SSSDBG_TRACE_FUNC, "No SELinux root entry found\n");
     } else if (ret) {
-        DEBUG(SSSDBG_TRACE_FUNC, ("Error: %d (%s)\n", ret, strerror(ret)));
+        DEBUG(SSSDBG_TRACE_FUNC, "Error: %d (%s)\n", ret, strerror(ret));
     }
 
     talloc_free(tmp_ctx);
diff --git a/src/db/sysdb_services.c b/src/db/sysdb_services.c
index b8ac9ef..19351a2 100644
--- a/src/db/sysdb_services.c
+++ b/src/db/sysdb_services.c
@@ -188,7 +188,7 @@ sysdb_store_service(struct sysdb_ctx *sysdb,
 
     ret = sysdb_transaction_start(sysdb);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to start transaction\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed to start transaction\n");
         goto done;
     }
 
@@ -212,16 +212,16 @@ sysdb_store_service(struct sysdb_ctx *sysdb,
              */
             for (i = 0; i < res->count; i++) {
                 DEBUG(SSSDBG_TRACE_FUNC,
-                      ("Corrupt cache entry [%s] detected. Deleting\n",
+                      "Corrupt cache entry [%s] detected. Deleting\n",
                        ldb_dn_canonical_string(tmp_ctx,
-                                               res->msgs[i]->dn)));
+                                               res->msgs[i]->dn));
 
                 ret = sysdb_delete_entry(sysdb, res->msgs[i]->dn, true);
                 if (ret != EOK) {
                     DEBUG(SSSDBG_MINOR_FAILURE,
-                          ("Could not delete corrupt cache entry [%s]\n",
+                          "Could not delete corrupt cache entry [%s]\n",
                            ldb_dn_canonical_string(tmp_ctx,
-                                                   res->msgs[i]->dn)));
+                                                   res->msgs[i]->dn));
                     goto done;
                 }
             }
@@ -236,7 +236,7 @@ sysdb_store_service(struct sysdb_ctx *sysdb,
 
                 if (!name) {
                     DEBUG(SSSDBG_CRIT_FAILURE,
-                          ("A service with no name?\n"));
+                          "A service with no name?\n");
                     /* Corrupted */
                 }
 
@@ -245,17 +245,17 @@ sysdb_store_service(struct sysdb_ctx *sysdb,
                  * for port reassignments, we need to delete the old entry.
                  */
                 DEBUG(SSSDBG_TRACE_FUNC,
-                      ("Corrupt or replaced cache entry [%s] detected. "
+                      "Corrupt or replaced cache entry [%s] detected. "
                        "Deleting\n",
                        ldb_dn_canonical_string(tmp_ctx,
-                                               res->msgs[0]->dn)));
+                                               res->msgs[0]->dn));
 
                 ret = sysdb_delete_entry(sysdb, res->msgs[0]->dn, true);
                 if (ret != EOK) {
                     DEBUG(SSSDBG_MINOR_FAILURE,
-                          ("Could not delete cache entry [%s]\n",
+                          "Could not delete cache entry [%s]\n",
                            ldb_dn_canonical_string(tmp_ctx,
-                                                   res->msgs[0]->dn)));
+                                                   res->msgs[0]->dn));
                 }
             }
         }
@@ -282,18 +282,18 @@ sysdb_store_service(struct sysdb_ctx *sysdb,
 
                 /* Corrupted */
                 DEBUG(SSSDBG_CRIT_FAILURE,
-                      ("A service with no name?\n"));
+                      "A service with no name?\n");
                 DEBUG(SSSDBG_TRACE_FUNC,
-                      ("Corrupt cache entry [%s] detected. Deleting\n",
+                      "Corrupt cache entry [%s] detected. Deleting\n",
                        ldb_dn_canonical_string(tmp_ctx,
-                                               res->msgs[i]->dn)));
+                                               res->msgs[i]->dn));
 
                 ret = sysdb_delete_entry(sysdb, res->msgs[i]->dn, true);
                 if (ret != EOK) {
                     DEBUG(SSSDBG_MINOR_FAILURE,
-                          ("Could not delete corrupt cache entry [%s]\n",
+                          "Could not delete corrupt cache entry [%s]\n",
                            ldb_dn_canonical_string(tmp_ctx,
-                                                   res->msgs[i]->dn)));
+                                                   res->msgs[i]->dn));
                     goto done;
                 }
             } else if (strcmp(name, primary_name) == 0) {
@@ -303,17 +303,17 @@ sysdb_store_service(struct sysdb_ctx *sysdb,
                  */
                 if(update_dn) {
                     DEBUG(SSSDBG_CRIT_FAILURE,
-                          ("Two existing services with the same name: [%s]? "
+                          "Two existing services with the same name: [%s]? "
                            "Deleting both.\n",
-                           primary_name));
+                           primary_name);
 
                     /* Delete the entry from the previous pass */
                     ret = sysdb_delete_entry(sysdb, update_dn, true);
                     if (ret != EOK) {
                         DEBUG(SSSDBG_MINOR_FAILURE,
-                              ("Could not delete cache entry [%s]\n",
+                              "Could not delete cache entry [%s]\n",
                                ldb_dn_canonical_string(tmp_ctx,
-                                                       update_dn)));
+                                                       update_dn));
                         goto done;
                     }
 
@@ -321,9 +321,9 @@ sysdb_store_service(struct sysdb_ctx *sysdb,
                     ret = sysdb_delete_entry(sysdb, res->msgs[i]->dn, true);
                     if (ret != EOK) {
                         DEBUG(SSSDBG_MINOR_FAILURE,
-                              ("Could not delete cache entry [%s]\n",
+                              "Could not delete cache entry [%s]\n",
                                ldb_dn_canonical_string(tmp_ctx,
-                                                       res->msgs[i]->dn)));
+                                                       res->msgs[i]->dn));
                         goto done;
                     }
 
@@ -384,15 +384,15 @@ sysdb_store_service(struct sysdb_ctx *sysdb,
                                  remove_attrs);
         if (ret != EOK) {
             DEBUG(SSSDBG_MINOR_FAILURE,
-                  ("Could not remove missing attributes: [%s]\n",
-                   strerror(ret)));
+                  "Could not remove missing attributes: [%s]\n",
+                   strerror(ret));
             goto done;
         }
     }
 
     ret = sysdb_transaction_commit(sysdb);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to commit transaction\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed to commit transaction\n");
         goto done;
     }
     in_transaction = false;
@@ -401,7 +401,7 @@ done:
     if (in_transaction) {
         sret = sysdb_transaction_cancel(sysdb);
         if (sret != EOK) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("Could not cancel transaction\n"));
+            DEBUG(SSSDBG_CRIT_FAILURE, "Could not cancel transaction\n");
         }
     }
     talloc_free(tmp_ctx);
@@ -523,7 +523,7 @@ sysdb_svc_add(TALLOC_CTX *mem_ctx,
 done:
     if (ret) {
         DEBUG(SSSDBG_TRACE_INTERNAL,
-              ("Error: %d (%s)\n", ret, strerror(ret)));
+              "Error: %d (%s)\n", ret, strerror(ret));
     }
     talloc_free(tmp_ctx);
     return ret;
@@ -596,7 +596,7 @@ sysdb_svc_update(struct sysdb_ctx *sysdb,
 done:
     if (ret) {
         DEBUG(SSSDBG_TRACE_INTERNAL,
-              ("Error: %d (%s)\n", ret, strerror(ret)));
+              "Error: %d (%s)\n", ret, strerror(ret));
     }
     talloc_free(msg);
     return ret;
@@ -629,7 +629,7 @@ sysdb_svc_remove_alias(struct sysdb_ctx *sysdb,
 done:
     if (ret) {
         DEBUG(SSSDBG_TRACE_INTERNAL,
-              ("Error: %d (%s)\n", ret, strerror(ret)));
+              "Error: %d (%s)\n", ret, strerror(ret));
     }
     talloc_zfree(msg);
     return ret;
@@ -655,7 +655,7 @@ sysdb_svc_delete(struct sysdb_ctx *sysdb,
 
     ret = sysdb_transaction_start(sysdb);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to start transaction\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed to start transaction\n");
         goto done;
     }
 
@@ -690,7 +690,7 @@ sysdb_svc_delete(struct sysdb_ctx *sysdb,
 
     ret = sysdb_transaction_commit(sysdb);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to commit transaction\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed to commit transaction\n");
         goto done;
     }
     in_transaction = false;
@@ -700,13 +700,13 @@ done:
         sret = sysdb_transaction_cancel(sysdb);
         if (sret != EOK) {
             DEBUG(SSSDBG_CRIT_FAILURE,
-                  ("Could not cancel transaction\n"));
+                  "Could not cancel transaction\n");
         }
     }
 
     if (ret != EOK && ret != ENOENT) {
         DEBUG(SSSDBG_TRACE_INTERNAL,
-              ("Error: %d (%s)\n", ret, strerror(ret)));
+              "Error: %d (%s)\n", ret, strerror(ret));
     }
     talloc_zfree(tmp_ctx);
     return ret;
@@ -800,20 +800,20 @@ errno_t sysdb_search_services(TALLOC_CTX *mem_ctx,
     basedn = ldb_dn_new_fmt(tmp_ctx, sysdb->ldb,
                             SYSDB_TMPL_SVC_BASE, domain->name);
     if (!basedn) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Failed to build base dn\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "Failed to build base dn\n");
         ret = ENOMEM;
         goto fail;
     }
 
     filter = talloc_asprintf(tmp_ctx, "(&(%s)%s)", SYSDB_SC, sub_filter);
     if (!filter) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Failed to build filter\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "Failed to build filter\n");
         ret = ENOMEM;
         goto fail;
     }
 
     DEBUG(SSSDBG_TRACE_INTERNAL,
-          ("Search services with filter: %s\n", filter));
+          "Search services with filter: %s\n", filter);
 
     ret = sysdb_search_entry(mem_ctx, sysdb, basedn,
                              LDB_SCOPE_SUBTREE, filter, attrs,
@@ -827,10 +827,10 @@ errno_t sysdb_search_services(TALLOC_CTX *mem_ctx,
 
 fail:
     if (ret == ENOENT) {
-        DEBUG(SSSDBG_TRACE_INTERNAL, ("No such entry\n"));
+        DEBUG(SSSDBG_TRACE_INTERNAL, "No such entry\n");
     }
     else if (ret) {
-        DEBUG(SSSDBG_MINOR_FAILURE, ("Error: %d (%s)\n", ret, strerror(ret)));
+        DEBUG(SSSDBG_MINOR_FAILURE, "Error: %d (%s)\n", ret, strerror(ret));
     }
     talloc_zfree(tmp_ctx);
     return ret;
